/*---------------------------------------------------------------------------*/
/* spi.c                                                                     */
/*                                              2010.07.30  Kyosuke Ishikawa */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Includes                                                                  */
/*---------------------------------------------------------------------------*/

#include <GenericTypeDefs.h>
#include <plib.h>

#include "spi.h"

/*---------------------------------------------------------------------------*/
/* Macro Definitions                                                         */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Function Prototypes                                                       */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Global Variables                                                          */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* spi_init                                                                  */
/*---------------------------------------------------------------------------*/

void spi_init(void)
{
	SpiChnOpen(SPI_CHANNEL1, SPI_OPEN_MSTEN|SPI_OPEN_MODE8|SPI_OPEN_CKP_HIGH|SPI_OPEN_CKE_REV, 5);
}

/*---------------------------------------------------------------------------*/
/* spi_put                                                                   */
/*---------------------------------------------------------------------------*/

void spi_put(unsigned char ch, unsigned char d)
{
	SpiChnWriteC(ch, (unsigned int)d);
	while( SpiChnIsBusy(ch) == TRUE );
}

/*---------------------------------------------------------------------------*/
