//-----------------------------------------------------------------------------
// oled_4d.h
//                                                 2010.07.22  Kyosuke Ishikawa
//-----------------------------------------------------------------------------

/*---------------------------------------------------------------------------*/
/* Macro Definitions                                                         */
/*---------------------------------------------------------------------------*/

#define OLED_COLOR_WHITE		0xFFFF		// 11111 111111 11111
#define OLED_COLOR_BLACK		0x0000		// 00000 000000 00000
#define OLED_COLOR_RED			0xF800		// 11111 000000 00000
#define	OLED_COLOR_GREEN		0x07E0		// 00000 111111 00000
#define OLED_COLOR_BLUE			0x001F		// 00000 000000 11111
#define OLED_COLOR_CYAN			0x07FF		// 00000 111111 11111
#define OLED_COLOR_MAGENTA		0xF81F		// 11111 000000 11111
#define OLED_COLOR_YELLOW		0xFFE0		// 11111 111111 00000

#define OLED_WIDTH				96
#define OLED_HEIGHT				72

//-----------------------------------------------------------------------------
// Global Function Prototypes
//-----------------------------------------------------------------------------

void oled_init(void);
void oled_put_text(unsigned char, unsigned char, unsigned short, unsigned char *);
void oled_put_hex(unsigned char, unsigned char, unsigned short, unsigned char);
void oled_put_hex2(unsigned char, unsigned char, unsigned short, unsigned char);
void oled_put_hex4(unsigned char, unsigned char, unsigned short, unsigned short);
void oled_put_dec(unsigned char, unsigned char, unsigned short, unsigned short);
void oled_draw_triangle(unsigned char, unsigned char, unsigned char, unsigned char, unsigned char, unsigned char, unsigned short, unsigned char);
void oled_draw_image16(unsigned char, unsigned char, unsigned char, unsigned char, unsigned char *);
void oled_draw_image2(unsigned char, unsigned char, unsigned char, unsigned char, unsigned char *);
void oled_clear(unsigned short);
void oled_box_fill(unsigned char, unsigned char, unsigned char, unsigned char, unsigned short);
void oled_box_line(unsigned char, unsigned char, unsigned char, unsigned char, unsigned short);

void oled_pset(unsigned char, unsigned char, unsigned short);

//-----------------------------------------------------------------------------
